"""correcting vlass cube permissions

Revision ID: adfaf1cc8be1
Revises: 2cfbbef4b440
Create Date: 2023-03-16 13:22:19.170828

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "adfaf1cc8be1"
down_revision = "2cfbbef4b440"
branch_labels = None
depends_on = None


old_post = """cd ../products"""
new_post = """cd ../products
chmod 777 ../products"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_post}', E'{new_post}')::bytea
        WHERE filename = 'vlass_coarse_post.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_post}', E'{old_post}')::bytea
        WHERE filename = 'vlass_coarse_post.sh'
        """
    )
