# Workspaces Schema

This is the Workspaces SQLAlchemy ORM schema for the **archive** metadata database.

To upgrade to the newest schema, run:

    env CAPO_PROFILE=$PROFILE alembic upgrade head

where `$PROFILE` is `local` or `nmtest` or `nmprod` or whatever.

To upgrade in docker, run:

    docker compose -f docker-compose.local.yml up schema

## Run Alembic Migration

In order to update the database schema, after updating schema.py, you
need to run the alembic migration.

This involves two steps, generating a file to make your changes, then restarting
the schema container. There is a helper script to complete the first part. Do
the following:

From the base repo directory:
1. `source shared/workspaces/alembic/migrate-alembic.sh -m "description of database changes"`
2. If performed successfully, the above command should output the path to a python
script it generated. Edit that with your schema changes
3. Down/up your local schema container to test it on your machine
